%define pkg_name        Acme-POE-Knee
%define pkg_version     1.10
%define rpm_pkg_version 1.10
%define rpm_pkg_release 1.n0i.1

Summary:       Time sliced pony race using the POE kernel
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KANE/%{pkg_name}-%{pkg_version}.zip

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE)


%description
POE::Knee is an acronym of "Pony". We all like ponies. And wouldn't we love to
race ponies? Well, that's what Acme::POE::Knee is for!


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}
%{fix_perl_path demo_*.pl}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Acme/POE/demo_*.pl
%doc Changes README demo_*.pl


%changelog
* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 1.10-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.10
